Get a cell batch by id
curl --request GET \
--url https://api.ionworks.com/cell_batches/{batch_id}import requests
url = "https://api.ionworks.com/cell_batches/{batch_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/cell_batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"cell_specification_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"date_manufactured": "2023-12-25",
"properties": {},
"created_by": "<string>",
"instance_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cell Batches
Get a cell batch by id
Get one batch, with its instance_count.
Parameters
batch_id : str Batch to retrieve.
Returns
CellBatch The batch.
Get a cell batch by id
Path Parameters
Response
Successful Response
A manufacturing lot of one cell specification, as returned by the API.
Unique identifier for the batch
ID of the organization that owns this batch
ID of the project that owns this batch
Cell specification this batch is a production run of
Lot name or number, unique (case-insensitively) per specification
When the batch was created
When the batch was last updated
Free-text notes about the batch
Manufacture date of the batch
Free-form lot metadata (datasheet lot number, QC results). Numeric values use the Quantity format.
User ID of the user who created this batch
Number of cell instances filed under this batch
Was this page helpful?